EndpointsReprocess source

Reprocess source

Triggers reprocessing of a source. Source must be COMPLETED or FAILED with content available.

curl -X POST "//v1/sources/example_string/reprocess" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (API Key)" \
  -d '{
  "run_context_extraction": true,
  "run_artifact_extraction": true,
  "update_existing": true
}'
{}
POST
/v1/sources/{sourceId}/reprocess
POST
Bearer Token (API Key)
Bearer Tokenstring
Required

User API Key. Create in the Ctxfy dashboard or via POST /v1/api-keys. Use Bearer <api_key> in Authorization header.

User API Key. Create in the Ctxfy dashboard or via POST /v1/api-keys. Use Bearer <api_key> in Authorization header.
Content-Typestring
Required

The media type of the request body

Options: application/json
update_existingboolean

Default true; false to create new and enrich

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (API Key). User API Key. Create in the Ctxfy dashboard or via POST /v1/api-keys. Use Bearer <api_key> in Authorization header.

Path Parameters

Body

application/json
update_existingboolean

Default true; false to create new and enrich

Responses

Reprocess initiated